Package org.apache.solr.common

# Class ConditionalKeyMapWriter

java.lang.Object
org.apache.solr.common.ConditionalKeyMapWriter

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

public class ConditionalKeyMapWriter extends Object implements MapWriter

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConditionalKeyMapWriter.EntryWriterWrapper`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`ConditionalKeyMapWriter(MapWriter delegate, Predicate<CharSequence> predicate)`

## Method Summary

Modifier and Type
Method
Description
`static Predicate<CharSequence>`
`dedupeKeyPredicate(Set<CharSequence> keys)`
`void`
`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### ConditionalKeyMapWriter

public ConditionalKeyMapWriter(MapWriter delegate, Predicate<CharSequence> predicate)

## Method Details

### writeMap

public void writeMap(MapWriter.EntryWriter ew) throws IOException
Description copied from interface: `MapWriter`
Writes this object's entries out to `ew`.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

### dedupeKeyPredicate

public static Predicate<CharSequence> dedupeKeyPredicate(Set<CharSequence> keys)